UNEXPAND(1)

NAME
unexpand - convert spaces to tabs

SYNOPSIS
unexpand [-tab1[,tab2[,...]]] [-t tab1[,tab2[,...]]] [-a] [--tabs=tab1[,tab2[,...]]] [--all] [--help] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of unexpand. unexpand writes the contents of each given file, or the standard input if none are given or when a file named `-' is given, to the standard output, with strings of two or more space or tab characters converted to as many tabs as possible followed by as many spaces as are needed. By default, unexpand converts only initial spaces and tabs (those that precede all non space or tab characters) on each line. It preserves backspace characters in the output; they decrement the column count for tab calculations. By default, tabs are set at every 8th column.

  OPTIONS

-, -t, --tabs tab1[,tab2[,...]]
    If only one tab stop is given, set the tabs tab1 spaces apart instead of the default 8. Otherwise, set the tabs at columns tab1, tab2, etc. (numbered from 0) and leave spaces and tabs beyond the tabstops given unchanged. If the tabstops are specified with the -t or --tabs option, they can be separated by blanks as well as by commas. This option implies the -a option.

-a, --all
    Convert all strings of two or more spaces or tabs, not just initial ones, to tabs.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.